Bug 602042 - Review Request (rename): perl-Config-MVP-Reader-INI - MVP config reader for .ini files
Summary: Review Request (rename): perl-Config-MVP-Reader-INI - MVP config reader for ....
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 03:16 UTC by Iain Arnell
Modified: 2010-06-23 03:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 03:11:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-09 03:16:11 UTC
This is a package rename. Old package name was perl-Config-INI-MVP. 

Note that it will only build in dist-f14-perltest as that's where it's dependencies are at the minute.

Spec URL: http://iarnell.fedorapeople.org/review/perl-Config-MVP-Reader-INI.spec
SRPM URL: http://iarnell.fedorapeople.org/review/perl-Config-MVP-Reader-INI-2.101460-1.fc14.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=2239788
Description: Config::MVP::Reader::INI reads .ini files containing MVP-style
configuration.

Comment 1 Petr Pisar 2010-06-21 13:48:21 UTC
$ rpmlint -i perl-Config-MVP-Reader-INI-2.101460-1.fc14.noarch.rpm ../../SPECS/perl-Config-MVP-Reader-INI.spec 
perl-Config-MVP-Reader-INI.noarch: W: obsolete-not-provided perl-Config-INI-MVP
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

1 packages and 1 specfiles checked; 0 errors, 1 warnings.

As perl module name is part of API and the name has changed, reviewed package is not compatible with old one and thus old name must not be provided.

Provides and obsoletes OK.

Spec files compared each to other:

--- perl-Config-INI-MVP.spec	2010-04-30 14:17:43.000000000 +0200
+++ /home/petr/rpmbuild/SPECS/perl-Config-MVP-Reader-INI.spec	2010-06-09 05:08:13.000000000 +0200
@@ -1,31 +1,37 @@
-Name:           perl-Config-INI-MVP
-Version:        0.024
-Release:        2%{?dist}
-Summary:        Multi-value capable .ini file reader (for plugins)
+Name:           perl-Config-MVP-Reader-INI
+Version:        2.101460
+Release:        1%{?dist}
+Summary:        MVP config reader for .ini files
 License:        GPL+ or Artistic
 Group:          Development/Libraries
-URL:            http://search.cpan.org/dist/Config-INI-MVP/
-Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Config-INI-MVP-%{version}.tar.gz
+URL:            http://search.cpan.org/dist/Config-MVP-Reader-INI/
+Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Config-MVP-Reader-INI-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  perl(Config::INI::Reader)
-BuildRequires:  perl(Config::MVP) >= 0.092060
+BuildRequires:  perl(Config::MVP) >= 2
+BuildRequires:  perl(Config::MVP::Reader)
+BuildRequires:  perl(Config::MVP::Reader::Findable::ByExtension)
 BuildRequires:  perl(ExtUtils::MakeMaker)
-BuildRequires:  perl(Moose) >= 0.65
+BuildRequires:  perl(Moose)
 BuildRequires:  perl(Test::More)
-Requires:       perl(Config::MVP) >= 0.092060
-Requires:       perl(Moose) >= 0.65
+# not automatically detected
+Requires:       perl(Config::INI::Reader)
+Requires:       perl(Config::MVP::Reader)
+Requires:       perl(Config::MVP::Reader::Findable::ByExtension)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
+# this replaces perl-Config-INI-MVP-0.024
+Obsoletes:      perl-Config-INI-MVP < 0.025
+
 %{?perl_default_filter}
 
 %description
-The MVP INI file reader reads INI files, but can handle properties with
-multiple values. The identification of properties that may have multiple
-entries is done by section, on a plugin basis. 
+Config::MVP::Reader::INI reads .ini files containing MVP-style
+configuration.
 
 %prep
-%setup -q -n Config-INI-MVP-%{version}
+%setup -q -n Config-MVP-Reader-INI-%{version}
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
@@ -49,15 +55,11 @@
 
 %files
 %defattr(-,root,root,-)
-%doc Changes LICENSE README
+%doc Changes dist.ini eg LICENSE META.json README
 %{perl_vendorlib}/*
 %{_mandir}/man3/*
 
 %changelog
-* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.024-2
-- Mass rebuild with perl-5.12.0
-
-* Sun Feb 21 2010 Iain Arnell <iarnell@gmail.com> 0.024-1
+* Tue Jun 08 2010 Iain Arnell 2.101460-1
 - Specfile autogenerated by cpanspec 1.78.
-- use perl_default_filter and DESTDIR
-- tweak {build,}requires
+- obsoletes perl-Config-INI-MVP < 0.025


Spec file is in line with other packaging rules. (Beside the version number looks scary :)

Package rename accepted.

Hint for package builder: Please build the package against dist-f14. dist-f14-perltest build root has been merged into rawhide and will be removed from Koji soon.

Comment 2 Iain Arnell 2010-06-21 14:00:30 UTC
New Package CVS Request
=======================
Package Name: perl-Config-MVP-Reader-INI
Short Description: MVP config reader for .ini files
Owners: iarnell
Branches: 
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-06-23 01:50:48 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-06-23 03:11:49 UTC
Thanks for the review, Petr.


Note You need to log in before you can comment on or make changes to this bug.